var list = [10, 30, 5, 60, 40, 78, 56, 30, 24, 80];
var svgWidth = 640;	// SVG領域の横幅
var svgHeight = 480;	// SVG領域の縦幅
// SVG全体の設定
var svg = d3.select("#myGraph").append("svg")
	.attr("width", svgWidth).attr("height", svgHeight)
// 横棒グラフを描く部分
svg.selectAll("rect")	// SVGでの四角形を示す要素を指定
	.data(list)	// データを設定
	.enter()
	.append("rect")	// SVGでの四角形を示す要素を生成
	.attr("x", 0)	// 横棒グラフなのでX座標は0。これはSVG上での座標
	.attr("y", function(d,i){	// Y座標を配列の順序に応じて計算
		return i * 18;
	})
	.attr("width", function(d){	// 横幅を配列の内容に応じて計算
		return (d*2) +"px";
	})
	.attr("height", "16")	// 棒グラフの高さを指定
	.attr("style", "fill:rgb(255,160,160)")	// 棒グラフの色を薄赤色に設定
// 横棒グラフに値を表示する部分
svg.selectAll("text")
	.data(list)	// データを設定
	.enter()
	.append("text")	// SVGでの文字を示す要素を生成
	.text(function(d){	// 配列内のデータを表示する
		return d;
	})
	.attr("x", 2)	// 文字のX座標を指定
	.attr("y", function(d,i){	// 文字のY座標を指定
		return i * 18 + 14;
	})
	.attr("font-size", "10pt")	// 文字のサイズを指定
